#Added by buildpkg 1.4.3
dotnew() {
        NEW="${1}.new"
        OLD="$1"
        if [ ! -e $OLD ]; then
                mv $NEW $OLD
        elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
                rm $NEW
        fi
}
dotnew etc/X11/gdm/PostLogin/Default
doinst() {
	# first look for binary
	ICABIN="$(which ica 2> /dev/null)"
	if [ -z "$ICABIN" ] ; then
		echo "Error: no ica found in $PATH"
		exit 1
	fi

	# now search for keys, any other paths?
	i=0;
	for file in $( find /etc -regex '.*italc.*public/.*\|.*italc.*private/.*' ) ; do
		if [ ! -d "$file" ] ; then
		
			name_key[i]=$file ;
			i=$((i+1)); 
		fi
	done

	# check if any keys were not found, and create them
	if [ -z "${name_key[0]}" ] ; then
		
		echo "No iTALC keys found, generating keys: $ICABIN -role teacher -creatkeypair"
		emsg="$( $ICABIN -role teacher -createkeypair 2>&1 )"
		
		#check that createkeypair worked
		if [ "$?" -gt "0" ] ; then
			echo "Error generating keys: $emsg"
		else
			echo "iTALC keys generated successfully." &&
			#add group and change group assignment
			groupadd italc; 
			chgrp -R italc /etc/italc/keys/private; 
			chmod  0750 /etc/italc/keys/private/teacher/key;
		fi
	# keys were found, show the installer and let them know default paths
	else
		echo "iTALC keys found: ${name_key[@]}"
		echo -e "\nNOTE: Default iTALC key locations are: /etc/italc/keys/[public | private]/<role>/key "
		echo "If your keys are not in these directories, you should move,copy or link them."
	fi
}
doinst
